Skip to main content
POST
/
accounts
/
proposals
/
create
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/accounts/proposals/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "items": [
    {
      "name": "Treasury",
      "networkIds": [
        1,
        137
      ]
    }
  ]
}
'
{
  "data": {
    "id": "prop_acc_create_123",
    "resourceType": "accounts",
    "action": "create",
    "signatureStatus": "approvalReady",
    "executionStatus": "completed",
    "threshold": 2,
    "approvals": [],
    "rejections": [],
    "createdAt": "2026-01-18T00:00:00.000Z",
    "expiresAt": "2026-01-25T00:00:00.000Z",
    "data": {
      "items": [
        {
          "name": "Treasury",
          "networkIds": [
            1,
            137
          ]
        }
      ]
    },
    "result": {
      "resolution": "approved",
      "resources": [
        {
          "type": "account",
          "id": "acc_new1",
          "uri": "/api/v1/accounts/acc_new1"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Body

application/json
items
object[]
required

List of accounts to create

Response

Account creation proposal created

data
object
required
Example:
{
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [1, 137]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}